//+------------------------------------------------------------------+ 
//|   TRO_Jacko_Trend_Plot                                           | 
//|                                                                  | 
//|   Copyright  2009, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|   All my indicators should be considered donationware. That is   |
//|   you are free to use them for your personal use, and are        |
//|   under no obligation to pay for them. However, if you do find   |
//|   this or any of my other indicators help you with your trading  |
//|   then any Gift or Donation as a show of appreciation is         |
//|   gratefully accepted.                                           |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators. :-)                                     |
//|                                                                  |
//|   PayPal - THERUMPLEDONE@GMAIL.COM                               |  
//+------------------------------------------------------------------+ 
//| Use http://therumpledone.mbtrading.com/fx/ as your forex broker  |  
//| ...tell them therumpledone sent you!                             |  
//+------------------------------------------------------------------+ 

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Red
//---- indicator parameters

 

extern int   Trend_Style = 0 ; 
extern int   Trend_Width = 2 ;
extern color colorTrend  = Yellow;

extern color colorUp =  Lime ;
extern color colorEq =  Yellow ;
extern color colorDn =  Red ;

string symbol, tChartPeriod,  tShortName ;  
int    digits, period, digits2  ; 
double point ;
 

int xBarsPerChart    ; 
int xFirstVisibleBar  ; 
double xPriceMax     ; 
double xPriceMin     ;

double Open0, Open1, Open2, Close0, Close1, Close2, High0, High1, High2, Low0,  Low1, Low2, Range0, Range1, Range2, AvgRng3 ;
		
string OBJ001, tTrend ;

//+------------------------------------------------------------------+
int init()
{ 
    period = Period() ;     
//   tChartPeriod =  TimeFrameToString(period) ;
   symbol       =  Symbol() ;
   digits       =  Digits ;   
   point        =  Point ;

   if(digits == 5 || digits == 3) { digits = digits - 1 ; point = point * 10 ; }   
       
   OBJ001 = "JackoTREND1" ;
   
  
    
   return(0);
  }
//+------------------------------------------------------------------+  
int deinit() {

	ObjectDelete(OBJ001);
	
	
}
//+------------------------------------------------------------------+
int start()
{   
    deinit() ;

   xBarsPerChart    = WindowBarsPerChart() ; 
   xFirstVisibleBar = WindowFirstVisibleBar() ; 
   xPriceMax        = WindowPriceMax() ; 
   xPriceMin        = WindowPriceMin() ;
  
   Close0 = iClose(symbol,period,0) ;   
   Open0  = iOpen(symbol,period,xFirstVisibleBar) ; 

   if( Close0 >= Open0 ) {   colorTrend = colorUp; tTrend = "UP" ; } 
   else {  colorTrend = colorDn ; tTrend = "DOWN" ; }
   
   ObjectCreate(OBJ001, OBJ_TREND, 0,Time[xFirstVisibleBar],Open0,Time[0],Close0 );
   ObjectSet(OBJ001, OBJPROP_COLOR, colorTrend);
   ObjectSet(OBJ001, OBJPROP_STYLE, Trend_Style);
   ObjectSet(OBJ001, OBJPROP_WIDTH, Trend_Width);
   	   
   Comment(  
   "Bars Per Chart    =  ", xBarsPerChart, " ",
   "First Visible Bar =  ", xFirstVisibleBar, "\n",
   "Price Open  = ", DoubleToStr(Open0   , digits  ) , " ",  
   "Price Close = ", DoubleToStr(Close0   , digits  ) , "\n",  
   "Price Max   = ", DoubleToStr(xPriceMax   , digits  ) , " ", 
   "Price Min   = ", DoubleToStr(xPriceMin   , digits  ) , "\n",
   "A 5 year old would say: TREND IS ", tTrend , "\n",
   "");


WindowRedraw() ;

return(0);   
}

//+------------------------------------------------------------------+


  
   